public class RectangleTester {
    public static void main(String[] args) {
        Point p1 = new Point(3, 2);
        Point p2 = Point.POINT_ZERO; // no se pone "new"
        // p2 apuntara al mismo punto que POINT_ZERO
        Rectangle r1 = new Rectangle(Point.POINT_ZERO, p1);
        Rectangle r2 = new Rectangle(p1);
        Rectangle r3 = new Rectangle(new Point(2,3));
        System.out.print("Point 1: ");
        System.out.println(p1);
        System.out.print("Point 2: ");
        System.out.println(p2);
        System.out.print("Rectangle1: ");
        System.out.println(r1);
        System.out.print("Area1: ");
        System.out.println(r1.calculateArea());
        System.out.print("Rectangle2: ");
        System.out.println(r2);
        System.out.print("Perimeter2: ");
        System.out.println(r2.calculatePerimeter());
    }
}
